package com.ningdatech.pmapi.projectdeclared.entity.dto;

import com.ningdatech.pmapi.projectlib.model.dto.ProjectDTO;
import com.wflow.workflow.bean.dto.ProcessInstanceUserDto;
import io.swagger.annotations.ApiModel;
import lombok.*;
import javax.validation.constraints.NotNull;
import java.io.Serializable;

/**
 * <p>
 * 项目草稿箱
 * </p>
 *
 * @author zpf
 * @since 2023-02-06
 */
@ApiModel(value = "NdProjectDraftDto", description = "")
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@ToString
public class ProjectDraftSaveDto implements Serializable {

    private static final long serialVersionUID = 1L;

    @NotNull
    private ProjectDTO projectInfo;

    @NotNull
    private ProcessInstanceUserDto user;

}
